#include <iostream>
#include <math.h>
using namespace std;

int sqs[500000];

int main()
{
    int n;
    int ns[50000];
    cin >> n;
    bool is;
    double sqr1,sqr2;
    for(int i=0;i<n;i++)
    {
        cin >> ns[i];

        is=0;
        for(int j=1;j<=ns[i]/2;j++)
        {
            if(sqs[j]==0)
            {
                sqr1=sqrt(j);
            }
            else
            {
                sqr1=sqs[j];
            }
            if(sqs[ns[i]-j]==0)
            {
                sqr2=sqrt(ns[i]-j);
            }
            else
            {
                sqr2=sqs[ns[i]-j];
            }
            if(sqr1==floor(sqr1) && sqr2==floor(sqr2))
            {
                sqs[j]=sqr1;
                sqs[ns[i]-j]=sqr2;
                cout << 1;
                is=1;
                break;
            }
        }
        if(!is)
        {
            cout << 0;
        }
    }

    return 0;
}
